<?php        
	$finalizado = true; //PREGUNTA FINALIZADA
    $pregunta_activa = true;

    include("../app/models/connect.php");

    $query = mysqli_query($connect,"SELECT * FROM Live WHERE estado = 1 ");
	$data = mysqli_fetch_array($query);

    $queryTrivia = mysqli_query($connect,"SELECT * FROM Trivias WHERE estado = 1 ");
	$dataTrivia = mysqli_fetch_array($queryTrivia);

    $pregunta;
    $opc_1 = '';
    $opc_2 = '';
    $opc_3 = '';
    $opc_4 = '';
    $opc_5 = '';
    $id_pregunta = 0;

    $queryPreguntas = mysqli_query($connect,"SELECT * FROM Trivia_Preguntas WHERE id_trivia = '".$dataTrivia["id"]."' AND estado = 1 ORDER BY orden ASC ");
	$dataPreguntas = mysqli_fetch_array($queryPreguntas);
        
    $queryResp = mysqli_query($connect,"SELECT * FROM Trivias_Respuestas WHERE id_pregunta = '".$dataPreguntas["id"]."' ");

    $pregunta = $dataPreguntas["pregunta"];
    $opc_1 = $dataPreguntas["opc_1"];
    $opc_2 = $dataPreguntas["opc_2"];
    $opc_3 = $dataPreguntas["opc_3"];
    $opc_4 = $dataPreguntas["opc_4"];
    $opc_5 = $dataPreguntas["opc_5"];
    $id_pregunta = $dataPreguntas["id"];
        
    if( $queryResp->num_rows == 0 ){  
        $finalizado = false;
    }

    else{
        $finalizado = true;
    }

    if($queryPreguntas->num_rows == 0){
         $pregunta_activa = false;
    }

?>

<?php 
if($pregunta_activa == true){ 

    if($finalizado == false){ 
?>
    <div class="pregunta"> 
        <h4><?php echo $pregunta; ?></h4>
    </div>

    <div style="color: #FFEB3B; margin-bottom: 15px; text-align: center;">* Seleccione una de las siguientes opciones.</div>

    <div class="opciones">

        <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(1,<?php echo $id_pregunta; ?>)"><?php echo $opc_1; ?></button>
        <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(2,<?php echo $id_pregunta; ?>)"><?php echo $opc_2; ?></button>

        <?php if($opc_3 != ""){?>
            <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(3,<?php echo $id_pregunta; ?>)"><?php echo $opc_3; ?></button>
        <?php } ?>
        <?php if($opc_4 != ""){?>
            <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(4,<?php echo $id_pregunta; ?>)"><?php echo $opc_4; ?></button>
        <?php } ?>
        <?php if($opc_5 != ""){?>
            <button type="button" class="botones_trivias" onClick="Registrar_Respuesta(5,<?php echo $id_pregunta; ?>)"><?php echo $opc_5; ?></button>
        <?php } ?>                
    </div>

    <script>
        Small_player();
    </script>
<?php } ?>

<?php 
    if($finalizado == true){ 

        $opc_1_num = 0;
        $opc_2 = 0;
        $opc_3 = 0;
        $opc_4 = 0;
        $opc_5 = 0;
                    
        $queryRespuestas = mysqli_query($connect,"SELECT * FROM Trivias_Respuestas WHERE id_pregunta = '".$dataPreguntas["id"]."' ");
        while($dataRespuestas = mysqli_fetch_array($queryRespuestas) ){
                if($dataRespuestas["opcion"] == 1){
                    $opc_1_num ++;
                }
                if($dataRespuestas["opcion"] == 2){
                    $opc_2 ++;
                }
                if($dataRespuestas["opcion"] == 3){
                    $opc_3 ++;
                }
                if($dataRespuestas["opcion"] == 4){
                    $opc_4 ++;
                }
                if($dataRespuestas["opcion"] == 5){
                    $opc_5 ++;
                }
        }
            
        $total = $opc_1_num+$opc_2+$opc_3+$opc_4+$opc_5;
        $valor_1 = round( ($opc_1_num*100) / $total );
        $valor_2 = round( ($opc_2*100) / $total );
        $valor_3 = round( ($opc_3*100) / $total );
        $valor_4 = round( ($opc_4*100) / $total );
        $valor_5 = round( ($opc_5*100) / $total );
            
        $respuesta_3 = '';
        if($dataPreguntas["opc_3"] != ""){
                $respuesta_3 = '
                    <div class="grupo">
                        '.$dataPreguntas["opc_3"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_3.'%;">%'.$valor_3.'</div></div>
                    </div>
                ';
        }
        $respuesta_4 = '';
        if($dataPreguntas["opc_4"] != ""){
                $respuesta_4 = '
                    <div class="grupo">
                        '.$dataPreguntas["opc_4"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_4.'%;">%'.$valor_4.'</div></div>
                    </div>
                ';
        }
        $respuesta_5 = '';
        if($dataPreguntas["opc_5"] != ""){
                $respuesta_3 = '
                    <div class="grupo">
                        '.$dataPreguntas["opc_5"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_5.'%;">%'.$valor_5.'</div></div>
                    </div>
                ';
        }


        echo '
            <div class="col-md-6">
                <div class="ficha_preguntas">
                    <div class="pregunta">'.$pregunta.'</div>
                    <div class="grupo">
                        '.$dataPreguntas["opc_1"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_1.'%;">%'.$valor_1.'</div></div>
                    </div>
                    <div class="grupo">
                        '.$dataPreguntas["opc_2"].'
                        <div class="marco"><div class="opcion" style="width: '.$valor_2.'%;">%'.$valor_2.'</div></div>
                    </div>
                    '.$respuesta_3.'
                    '.$respuesta_4.'
                    '.$respuesta_5.'
                </div>
            </div>
        ';
    }   
?>
<script>
    Small_player();
</script>
<?php }else{ ?>




<script>
    Full_player();
</script>
<?php } ?>




